API doc for NovoWatt Payment Service (1.0.0)

Download OpenAPI specification:

Gateway-agnostic internal payment APIs.

Payment Gateway

Create customer in payment gateway

Request Body schema: application/json
required
payment_gateway
required
string
required
object

Responses

Request samples

Content type
application/json
{
  • "payment_gateway": "stripe",
  • "customer_info": { }
}

Response samples

Content type
application/json
{
  • "ok": true,
  • "msg": null,
  • "data": { }
}

Get card details from token via payment gateway

Request Body schema: application/json
required
payment_gateway
required
string
token_id
required
string

Responses

Request samples

Content type
application/json
{
  • "payment_gateway": "stripe",
  • "token_id": "tok_visa"
}

Response samples

Content type
application/json
{
  • "ok": true,
  • "msg": null,
  • "data": { }
}

Create card in payment gateway

Request Body schema: application/json
required
payment_gateway
required
string
required
object

Responses

Request samples

Content type
application/json
{
  • "payment_gateway": "stripe",
  • "card_info": { }
}

Response samples

Content type
application/json
{
  • "ok": true,
  • "msg": null,
  • "data": { }
}

Charge card through payment gateway

Request Body schema: application/json
required
payment_gateway
required
string
required
object

Responses

Request samples

Content type
application/json
{
  • "payment_gateway": "stripe",
  • "charge_info": { }
}

Response samples

Content type
application/json
{
  • "ok": true,
  • "msg": null,
  • "data": { }
}

Create authorization through payment gateway

Request Body schema: application/json
required
payment_gateway
required
string
required
object

Responses

Request samples

Content type
application/json
{
  • "payment_gateway": "stripe",
  • "authorize_info": { }
}

Response samples

Content type
application/json
{
  • "ok": true,
  • "msg": null,
  • "data": { }
}

Capture payment intent through payment gateway

Request Body schema: application/json
required
payment_gateway
required
string
required
object

Responses

Request samples

Content type
application/json
{
  • "payment_gateway": "stripe",
  • "capture_info": { }
}

Response samples

Content type
application/json
{
  • "ok": true,
  • "msg": null,
  • "data": { }
}

Release payment intent through payment gateway

Request Body schema: application/json
required
payment_gateway
required
string
required
object

Responses

Request samples

Content type
application/json
{
  • "payment_gateway": "stripe",
  • "release_info": { }
}

Response samples

Content type
application/json
{
  • "ok": true,
  • "msg": null,
  • "data": { }
}

Release payment authorization immediately through payment gateway

Request Body schema: application/json
required
payment_gateway
required
string
required
object

Responses

Request samples

Content type
application/json
{
  • "payment_gateway": "stripe",
  • "release_info": { }
}

Response samples

Content type
application/json
{
  • "ok": true,
  • "msg": null,
  • "data": { }
}

Refund payment through payment gateway

Request Body schema: application/json
required
payment_gateway
required
string
required
object

Responses

Request samples

Content type
application/json
{
  • "payment_gateway": "stripe",
  • "refund_info": { }
}

Response samples

Content type
application/json
{
  • "ok": true,
  • "msg": null,
  • "data": { }
}

Inquire payment status through payment gateway

Request Body schema: application/json
required
payment_gateway
required
string
required
object

Responses

Request samples

Content type
application/json
{
  • "payment_gateway": "2c2p",
  • "inquiry_info": {
    }
}

Response samples

Content type
application/json
{
  • "ok": true,
  • "msg": null,
  • "data": { }
}

Initialize 2C2P card registration token

Creates a 2C2P card registration session. The mobile app or test page uses the returned paymentToken / webPaymentUrl to complete card registration, then sends the returned invoiceNo to the mobile POST /card endpoint.

Request Body schema: application/json
optional
frontendReturnUrl
string
backendReturnUrl
string

Responses

Request samples

Content type
application/json
{}

Response samples

Content type
application/json
{}